<header class="header">
<link rel="stylesheet" href="css/style.css"> 

   <section class="flex">
      <a href="#" class="logo">Shippee</a>

      <?php if(basename($_SERVER['PHP_SELF']) == 'view_products.php'): ?>
         <form action="view_products.php" method="GET" class="search-bar">
            <input type="text" name="search" placeholder="ค้นหาสินค้า..." value="<?= isset($_GET['search']) ? htmlspecialchars($_GET['search']) : '' ?>">
            <button type="submit">ค้นหา</button>
         </form>
      <?php endif; ?>

      <nav class="navbar">
         <a href="add_product.php">add product</a>
         <a href="view_products.php">view products</a>
         <a href="orders.php">my orders</a>
         
         <?php
      if(isset($user_id)) {
         // ดึงจำนวนสินค้าจากฐานข้อมูล
         $count_cart_items = $conn->prepare("SELECT * FROM `cart` WHERE user_id = ?");
         $count_cart_items->execute([$user_id]);
         $total_cart_items = $count_cart_items->rowCount();
   ?>
      <a href="shopping_cart.php" class="cart-btn">cart <span><?= $total_cart_items; ?></span></a>
      <a href="logout.php" class="logout-btn">logout</a>
   <?php
      } else {
   ?>
      <a href="index.php" class="login-btn">login</a>
      <a href="register.php" class="register-btn">register</a>
   <?php } ?>
</nav>

      <div id="menu-btn" class="fas fa-bars"></div>
   </section>

</header>
