<?php
include 'components/connect.php';

if(isset($_POST['search'])) {
    $search_term = "%".$_POST['search']."%";
    $stmt = $conn->prepare("SELECT * FROM products WHERE name LIKE :search");
    $stmt->bindParam(':search', $search_term);
    $stmt->execute();
    $results = $stmt->fetchAll(PDO::FETCH_ASSOC);
} else {
    $results = [];
}
?>

<form action="view_products.php" method="POST" class="search-bar">
    <input type="text" name="search" placeholder="ค้นหาสินค้า...">
    <button type="submit">ค้นหา</button>
</form>

